Appearance
GET
/web-pages/draft/drafts/{draftId}/trees/{categoryId}Required scope:
viskan:draft:readReturns the hierarchical category tree from a specific category that will be seen as the root of the tree.
Parameters
Path parameters
categoryId string Format:
uuidID of a category. Retrieves the tree starting from this category as root.
draftId string Format:
uuidThe identifier of the draft.
Query parameters
contentLocaleId string Format:
uuidThe content locale to retrieve the categories' paths for. This or countryCode and languageCode combination must be provided.
countryCode stringCountry code (in ISO 3166-1 alpha-2 format) to retrieve the categories' paths for. This or contentLocaleId must be provided.
languageCode stringLanguage code (in ISO 639-1 format) to retrieve the categories' paths for. This or contentLocaleId must be provided.
Response
The hierarchical category tree is successfully retrieved.